jdupes (1.31.1-1) unstable; urgency=medium

  * New upstream version 1.31.1.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 15 Oct 2025 23:36:27 -0300

jdupes (1.30.0-3) unstable; urgency=medium

  * debian/tests/: created another CI test for #1063079.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 04 Oct 2025 17:43:47 -0300

jdupes (1.30.0-2) unstable; urgency=medium

  * Using libjodycode4 instead of libjodycode4t64. (Closes: #1116366)
  * debian/control: updated relationship for libjodycode-dev in Build-Depends
    field.
  * debian/tests/: created a new CI test for #1063079.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 28 Sep 2025 22:25:49 -0300

jdupes (1.30.0-1) unstable; urgency=medium

  * New upstream version 1.30.0.
  * debian/control:
      - Bumped Standards-Version to 4.7.2.
      - Removed no longer needed "Rules-Requires-Root: no" field.
      - Updated the relationship for libjodycode-dev in Build-Depends field.
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/patches/:
      - 010_fix-FTBFS-Hurd.patch: removed because the upstream applied this
        patch. Thanks!
      - 010_add-gcc-hardening.patch: created to fix GCC hardening adding
        CPPFLAGS to ljc_vercheck.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 23 Sep 2025 22:17:29 -0300

jdupes (1.28.0-1) unstable; urgency=medium

  * New upstream version 1.28.0.
  * debian/control:
      - Added a relationship to libjodycode-dev.
      - Bumped Standards-Version to 4.7.0.
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/docs: added ISSUES.txt.
  * debian/patches/: removed patches 020_fix-data-loss.patch and
    030_fix-crash-database.patch, already present in new upstream version.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 05 Aug 2024 19:05:55 -0300

jdupes (1.27.3-5) unstable; urgency=medium

  * jdupes has a homepage and a new repository (Codeberg). Consequently:
      - debian/control: updated the Homepage field.
      - debian/copyright: updated Upstream-Contact and Source fields.
      - debian/upstream/metadata: updated all data.
  * debian/patches/030_fix-crash-database.patch: created to fix a possible
    crash of the database. Thanks to Jody Bruchon (the upstream).

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 13 Nov 2023 22:46:45 -0300

jdupes (1.27.3-4) unstable; urgency=medium

  * debian/patches/020_fix-data-loss.patch: created to avoid a potential data
    loss caused by a wrong message that induces the users to use a range of
    values with -d option. Currently, the -d option doesn't understand ranges.
    (Closes: #1054237)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 19 Oct 2023 13:40:10 -0300

jdupes (1.27.3-3) unstable; urgency=medium

  * debian/watch: updated because the upstream moved the project from GitHub
    to Codeberg.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 10 Oct 2023 13:53:09 -0300

jdupes (1.27.3-2) unstable; urgency=medium

  * debian/patches/010_fix-FTBFS-Hurd.patch: created to fix the build on Hurd,
    declaring the PATH_MAX variable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 29 Aug 2023 17:30:27 -0300

jdupes (1.27.3-1) unstable; urgency=medium

  * New upstream version 1.27.3.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 29 Aug 2023 15:01:06 -0300

jdupes (1.26.1-1) unstable; urgency=medium

  * New upstream version 1.26.1.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 04 Jul 2023 19:20:02 -0300

jdupes (1.26-2) unstable; urgency=medium

  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 04 Jul 2023 08:54:08 -0300

jdupes (1.26-1) experimental; urgency=medium

  * New upstream version 1.26.
  * debian/tests/control: fixed the first test.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 03 Jul 2023 23:55:49 -0300

jdupes (1.25.2-1) unstable; urgency=medium

  * New upstream version 1.25.2.
  * Upload to unstable.
  * debian/rules: removed no longer needed override_dh_auto_test.
  * debian/tests/control: added a new CI test to check the -q option.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 24 Jun 2023 08:38:17 -0300

jdupes (1.25.0-2) experimental; urgency=medium

  * debian/control: changed from libjodycode3-dev to libjodycode-dev in
    Build-Depends field. (see #1038752)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 21 Jun 2023 23:55:52 -0300

jdupes (1.25.0-1) unstable; urgency=medium

  * New upstream version 1.25.0.
  * debian/control: changed from libjodycode2-dev to libjodycode3-dev in
    Build-Depends field.
  * debian/patches/010_fix-hardlinks.patch: removed. This patch was taken from
    the current (new and fixed) upstream source code.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 18 Jun 2023 13:58:48 -0300

jdupes (1.24.0-2) unstable; urgency=medium

  * debian/patches/010_fix-hardlinks.patch: created to fix an issue
    with hardlinks. Thanks to Jody Bruchon <jody@jodybruchon.com>.
    (Closes: #1038417)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 17 Jun 2023 21:14:37 -0300

jdupes (1.24.0-1) unstable; urgency=medium

  * New upstream version 1.24.0.
  * debian/control: added libjodycode2-dev to Build-Depends field.
  * debian/copyright:
      - Removed block about oom.c and oom.h because these files no longer
        exist in source code. Consequently:
      - Removed the text of the CC0-1.0 license.
      - Updated upstream copyright data to reflect new statements from the
        source code.
  * debian/tests/control: removed option -D from command9 to avoid an error.
  * debian/upstream/metadata: added Documentation field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 16 Jun 2023 16:23:08 -0300

jdupes (1.21.3-1) unstable; urgency=medium

  * New upstream version 1.21.3.
  * debian/patches/010_fix-no-file-travdone.patch: removed because the upstream
    fixed the source code. Thanks!

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 20 Feb 2023 06:51:57 -0300

jdupes (1.21.2-2) unstable; urgency=medium

  * debian/patches/010_fix-no-file-travdone.patch: created to fix an internal
    error when jdupes runs over a non-existent directory. Thanks to Alberto
    Garcia <berto@igalia.com> and Jody Bruchon <jody@jodybruchon.com>.
    (Closes: #1030933)
  * debian/tests/control: added a new test, specific for #1030933.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 10 Feb 2023 17:17:56 -0300

jdupes (1.21.2-1) unstable; urgency=medium

  * New upstream version 1.21.2.
  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/copyright: updated upstream and packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 07 Feb 2023 23:15:20 -0300

jdupes (1.21.1-1) unstable; urgency=medium

  * New upstream version 1.21.1.
  * debian/patches/010_fix-dedup-btrfs.patch: removed because the upstream
    released a fixed the source code. Thanks.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 02 Dec 2022 14:41:09 -0300

jdupes (1.21.0-3) unstable; urgency=medium

  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 03 Oct 2022 00:11:08 -0300

jdupes (1.21.0-2) unstable; urgency=medium

  * debian/patches/010_fix-dedup-btrfs.patch: created to fix BTRFS
    deduplication broken since upstream/1.21.0. Thanks to Calum
    McConnell <calumlikesapplepie@gmail.com>. (Closes: #1019588)
  * debian/tests/control: improved all tests making checks over the results.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 17 Sep 2022 12:53:25 -0300

jdupes (1.21.0-1) unstable; urgency=medium

  * New upstream version 1.21.0.
  * debian/control: bumped Standards-Version to 4.6.1.
  * debian/copyright:
      - Changed the licensing for linux-dedupe-static.h, updated by the
        upstream.
      - Updated upstream and packaging copyright years.
  * debian/upstream/metadata: added field Donation.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 06 Sep 2022 01:26:40 -0300

jdupes (1.20.2-1) unstable; urgency=medium

  * New upstream version 1.20.2.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 08 Nov 2021 20:31:22 -0300

jdupes (1.20.1-1) unstable; urgency=medium

  * New upstream version 1.20.1.
  * debian/control: bumped Standards-Version to 4.6.0.1.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 28 Oct 2021 23:33:07 -0300

jdupes (1.20.0-1) unstable; urgency=medium

  * New upstream version 1.20.0.
  * debian/copyright:
      - Added a block for oom.c and oom.h.
      - Updated upstream and packaging copyright years.
  * debian/tests/control: removed '-n' from a test because this option was
    deprecated in jdupes 1.20.0.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 15 Aug 2021 11:59:09 -0300

jdupes (1.19.1-1) unstable; urgency=medium

  * New upstream version 1.19.1.
  * debian/control: bumped Standards-Version to 4.5.1.
  * debian/tests/control:
      - Added a new test based in package forensics-samples-files.
      - Removed option -T from a test.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 30 Nov 2020 21:20:13 -0300

jdupes (1.19.0-1) unstable; urgency=medium

  * New upstream version 1.19.0.
  * debian/tests/control: added a restriction to last CI test.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 13 Oct 2020 00:09:03 -0300

jdupes (1.18.2-1) unstable; urgency=medium

  * New upstream version 1.18.2.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 25 Jul 2020 15:34:01 -0300

jdupes (1.18.1-1) unstable; urgency=medium

  * New upstream version 1.18.1.
  * debian/tests/control: use native 'tree' command to make two CI tests
    cross-test-friendly for Ubuntu. See more details in #946361.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 11 Jul 2020 23:07:32 -0300

jdupes (1.17.1-1) unstable; urgency=medium

  * New upstream version 1.17.1.
  * debian/copyright: updated because the upstream file called dedupe-static.h
    was renamed to linux-dedupe-static.h.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 03 Jul 2020 22:47:33 -0300

jdupes (1.17.0-1) unstable; urgency=medium

  * New upstream version 1.17.0.
  * debian/control: removed no longer needed Provides, Conflicts, Replaces
    fields.
  * debian/source/include-binaries: created to list new binary files to be
    used for CI tests.
  * debian/tests/*: created new tests and improved some old tests.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 25 Jun 2020 13:24:50 -0300

jdupes (1.16.0-1) unstable; urgency=medium

  * New upstream version 1.16.0. (Closes: #866246)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 15 Jun 2020 14:10:33 -0300

jdupes (1.15.0-1) unstable; urgency=medium

  * New upstream version 1.15.0.
  * debian/copyright: updated upstream copyright years.
  * debian/patches/010_fix-FTBFS-Hurd.patch: removed.
    The upstream fixed the source code. Thanks!
  * debian/tests/control: added a break line.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 25 May 2020 01:00:05 -0300

jdupes (1.14.0-3) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * Migrated DH level to 13.

  [ Debian Janitor ]
  * Update standards version to 4.5.0, no changes needed.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 30 Apr 2020 00:25:22 -0300

jdupes (1.14.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/copyright: updated packaging copyright years.
  * debian/patches/010_fix-FTBFS-Hurd.patch: added to define PATH_MAX variable
    to fix a FTBFS in Hurd.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 06 Jan 2020 09:50:11 -0300

jdupes (1.14.0-1) experimental; urgency=medium

  * New upstream version 1.14.0.
  * debian/copyright:
      - Added rights for Oracle from new file dedupe-static.h.
      - Updated copyright years for Adrian Lopez (data changed by upstream).
      - Using GitHub/issues address in Upstream-Contact field.
  * debian/rules:
      - Added STATIC_DEDUPE_H=1 to $OPTS (see INSTALL file in upstream place).
      - Changed from ENABLE_BTRFS=1 to ENABLE_DEDUPE=1 in $OPTS because it is
        the new name for the variable.
      - Split $OPTS to $OPT1 and $OPT2.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 31 Dec 2019 00:57:29 -0300

jdupes (1.13.2-2) unstable; urgency=medium

  * debian/control:
      - Added Rules-Requires-Root: no to source stanza.
      - Bumped Standards-Version to 4.4.1.
      - Set Multi-Arch: foreign. Thanks to Helmut Grohne <helmut@subdivi.de>.
        (Closes: #941588)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 02 Oct 2019 14:24:32 -0300

jdupes (1.13.2-1) unstable; urgency=medium

  * New upstream version 1.13.2.
  * debian/control: bumped Standards-Version to 4.4.0.
  * debian/tests/control:
      - Added a new test using several options from jdupes.
      - Added a notice about testdir.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 05 Aug 2019 19:45:24 -0300

jdupes (1.13.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 08 Jul 2019 00:27:06 -0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog jdupes`.
